Bio::Tools::PSort::Profile(3pm)

NAME
Bio::Tools::PSort::Profile - Perl implementation of the Profile protein subcellular localization method.

SYNOPSIS
  use Bio::Tools::PSort::Profile;

  # Load a previously trained profile from a file.
  $motif = new Bio::Tools::PSort::Profile(-database => 'profile-db.txt');

  # Attempt to match on a Bio::Seq object.
  @matches = $motif->match($seq);
  print($seq->display_id . ": matched " . $_->profile_id . "\n") for(@matches);

DESCRIPTION
Bio::Tools::Motif uses a selection of motifs that have been identified to be typical of proteins resident at a specific subcellular localization. The module accepts a Bio::Seq object and attempts to match it against a database, returning one or more Bio::Tools::Motif::Match objects with the prediction information if successful.

CONSTRUCTOR
   $motif = new Bio::Tools::Motif(-database => 'motif-db.txt');

The Motif constructor accepts the name of an existing database file.

METHODS
   @matches = $motif->match($seq);

The match method accepts a Bio::Seq object as an argument and returns an array of Bio::Tools::Motif::Match objects that matched the given sequence.

AUTHOR
Fiona Brinkman, Chris Walsh, Matthew Laird <psort-mail@sfu.ca> Brinkman Lab, Simon Fraser University, Canada

SEE ALSO
Bio::Tools::Motif::Pattern, Bio::Tools::Motif::Match

ACKNOWLEGEMENTS
Thanks go out to Fiona Brinkman, Jennifer Gardy and the other members of the Simon Fraser University Brinkman laboratory.

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 99:
    =pod directives shouldn't be over one line long! Ignoring all 2 lines of content